#ifndef TEXTCHECKER_H
#define TEXTCHECKER_H
#include <string>
#include <string>
#include <array>
#ifdef SORT
#include <vector>
#else
#include <set>
#endif
class textChecker
{
    std::wstring text;
public:
    textChecker();
    textChecker(const std::wstring&);
    textChecker(textChecker const &);
    friend bool operator==(const textChecker&, const textChecker&);
    void set(const std::wstring&);
    void reset();
    const std::array<float, 4> statc() const; //lat,cyr,num,unk
    const std::array<unsigned short, 10> statn() const; //bad solution. Doing that way only 'cause of PRD
    const unsigned int sentences();
    const std::wstring shortestSentence();
    const std::wstring longestSentence();
    const bool islat();
    const bool empty();
    bool lattocyr();
    bool cyrtolat();
    unsigned int swap(const wchar_t,const wchar_t);
    unsigned int swap(const wchar_t,const char);//Ці три методи просто викликають swap з двома wchar_t
    unsigned int swap(const char,const wchar_t);
    unsigned int swap(const char,const char);
    void sort();
    friend std::ostream& operator<<(std::ostream&, const textChecker&);
    friend std::wistream& operator>>(std::wistream&,textChecker&);
    const std::wstring& towstring();
    const std::
#ifdef SORT
    vector
#else
    set
#endif
    <std::wstring> capSort();
};
#define isend(c)(c == L'.' || c == L'!' || c == L'?') //Визначення кінця речення
#define skip while(i+1<text.size()&&text[i+1]==L'.'|| text[i+1] == L'!' || text[i+1] == L'?')i++;\
if (i + 2 < text.size() &&\
    ((text[i + 2] >= L'a' && text[i + 2] <= L'z') ||\
     (text[i + 2] >= L'а' && text[i + 2] <= L'џ') ||\
     (text[i + 2] <= L'.')))continue
//Корекція кінця речення, адже не всі речення закічнуються одним символом і т.д. - це не завжди кінець речення
#endif // TEXTCHECKER_H
